#define myID 2 //ID of the board - change it with each board

void setup() {
  pinMode(5, INPUT);       // set Tx pin as input
  pinMode(0, OUTPUT);      // set LED pin as output
  digitalWrite(0, LOW);    // switch off LED pin
  Serial.begin(9600);       // initialize UART with baud rate of 9600 bps
}

void loop() {
  if (Serial.available()) {
    char data_rcvd = Serial.read();   // read one byte from serial buffer and save to data_rcvd

    if (data_rcvd == '1') { // 5 is changed based on the board's ID number
      digitalWrite(0, HIGH); // switch LED On
      pinMode(5, OUTPUT); // set Tx pin as output so it starts transmitting data
      Serial.println("LED ON 1");
      delay(1000);
      digitalWrite(0, LOW); // switch LED On
      Serial.println("LED OFF 1");
      delay(1000);
      pinMode(5, INPUT);
    } // There is no Else for the if condition
  }
}
